#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;

const int N = 4;
const char a[] = {'+', '-', '/', '*'};
const int _inf = 1e8;

int b[3], cnt = 0;
int getnum(string s){
    int n = s.length(), x = 0;
    for(int i = 0; i < n; i++){
        x = x * 10 + (s[i] - '0');
    }

    if(x != b[cnt++]){
        quitf(_wa, "One of the numbers is wrong");
    }
    return x;
}

double get(string s){
    int p = -1, t = -1;
    for(int i = 0; i < s.length(); i++){
        for(int j = 0; j < N; j++){
            if(s[i] == a[j]){
                p = i;
                t = j;
                break;
            }
        }
    }

    if(p == -1){
        return getnum(s);
    } else {
        int x = getnum(s.substr(0, p));
        int y = getnum(s.substr(p + 1));
        switch(t){
        case 0:
            return x + y;
        case 1:
            return x - y;
        case 2:
            return ((y > 0 && x % y == 0) ? x / y : _inf);
        case 3:
            return x * y;
        }
    }
}

int main(int argc,char* argv[])
{
    registerTestlibCmd(argc, argv);
    for(int i = 0; i < 3; i++){
        b[i] = inf.readInt();
    }

    string s = ouf.readString();
    int n = s.length();

    string s1, s2;

    bool ok = 0;
    for(int i = 0; i < n; i++){
        if(s[i] == '='){
            ok = true;
            s1 = s.substr(0, i);
            s2 = s.substr(i + 1);
            break;
        }
    }
    //cout << s1 << " " << s2 << "\n";

    if(!ok){
        quitf(_wa, "Couldn't find =");
    }


    for(int i = 0; i < n; i++){
        if(s[i] < '0' || s[i] > '9'){
            if(s[i] != '='){
                int p = 0;
                for(int j = 0; j < N; j++){
                    if(a[j] == s[i]){
                        p = 1;
                        break;
                    }
                }
                if(p == 0){
                    quitf(_wa, "Redundant char");
                }
            }
        }
    }

    int p = 0;
    for(int i = 0; i < n; i++){
        for(int j = 0; j < N; j++){
            if(a[j] == s[i]){
                p++;
                break;
            }
        }
    }
    if(p != 1){
        quitf(_wa, "");
    }

    int x = get(s1);
    int y = get(s2);
    if(x == y){
        quitf(_ok, "Well done!");
    }
    quitf(_wa, "Something wrong");
}
